#include <perms.h>
int _imp_mainep(int _imp_argc, char **_imp_argv) {
  _imp_string S;
  _imp_string A;
  _imp_string B;
  S = _imp_str_literal("A string with xxx in the middle");
  if (!_imp_resolve(S, A, _imp_str_literal("xxx"), B)) _imp_signal(7, 0, 0);
  Newline();
  if (_imp_resolve(S, A, _imp_str_literal("xxx"), B)) Newline();
  if (!_imp_resolve(S, NULL, _imp_str_literal("xxx"), B)) _imp_signal(7, 0, 0);
  Newline();
  if (_imp_resolve(S, NULL, _imp_str_literal("xxx"), B)) Newline();
  if (!_imp_resolve(S, A, _imp_str_literal("xxx"), NULL)) _imp_signal(7, 0, 0);
  Newline();
  if (_imp_resolve(S, A, _imp_str_literal("xxx"), NULL)) Newline();
  exit(0);
  return (1);
}
